Doomsday Engine - Feature #1376

Externally spawned mobjs
2005-04-02 16:27 - picklebro

Status: New Start date: 2005-04-02
Priority: Normal % Done: 0%
Assignee:

Category:

Target version: Modding

Description

| would like for Doomsday to support the ability to create
new Things in a .ded file and simply add it to a specified
folder and it automatically adds that Thing id into the
game.

This would allow greater customization of Doom as you
could simply add it to a pk3 and instantly create new
Things in Doom without needing to have a long
explanation of how to customize or overwrite
Objects.ded

Labels: Game Objects

Related issues:

Related to Feature #1617: Scoped definitions and variables New 2013-10-21
Related to Feature #1608: Integrate Doomsday Script Progressed 2013-10-22
Related to Feature #1544: Support for ZDoom's Decorate function New 2011-08-03
History

#1 - 2005-04-03 18:50 - danij

Logged In: YES
user_id=849456

This has been available in Doomsday for a long time. Using
DED you can even define entirely new monsters (as long as
they use the existing actions).

Do you actually mean being able to create a list of THINGS
in a DED, with coords, that will be spawned on a map
addtionaly to those within the map THING lump?

#2 - 2005-04-09 21:32 - danij

- assigned_to: Daniel Swanson --> nobody

#3 - 2012-09-19 11:23 - picklebro

Logged In: YES
user_id=1249988

Yes, I'm sorry | wasn't very clear on that one - that is what |
was trying to say.

#4 - 2013-10-21 20:31 - skyjake
- Tags set to Definitions, MapData, Scripting

- Subject changed from externally defined Things to Externally spawned mobjs

This is already almost possible with a Map Info definition that executes a bunch of spawnmobj commands. The caveat is that the same command is
executed also after loading a savegame.

A more correct approach would be to add a script that only gets run as part of map initialization.
#5 - 2019-11-29 18:36 - skyjake

- Target version set to Modding

2024-03-13 22


http://www.tcpdf.org

